Subject: Re: [PATCH] git-repack-script: Add option to repack all objects.

From: Frank Sorenson <[email-masked]>
Date: Mon, 29 Aug 2005 12:59:03 -0600

Junio C Hamano wrote:
> This originally came from Frank Sorenson but with a bit of
> rework to allow future enhancement to the command without
> changing the external interface for removal part.
> 
> With the '-a' option, all objects in the current repository are
> packed into a single pack.  When the '-d' option is given at the
> same time, existing packs that were made redundant by this round
> of repacking are deleted.
> 
> Since we currently have only two repacking strategies, one '-a'
> (everything into one) and the other not '-a' (incrementally pack
> only the unpacked ones), '-d' is meaningful only used with '-a'
> and removes all the existing packs before repacking for now.

Thank you for explaining the reasoning, and reworking the patch.  This
does make more sense, and I can see the logic for leaving around the
packs.  Coming from the perspective of the end user, I would probably
want to repack quite a bit more often to take advantage of the size and
speed advantages, while large public repositories will probably want to
repack at much longer periods.  Thanks for seeing both perspectives.  I
like your updated patch.

Frank
- --
Frank Sorenson - KD7TZK
Systems Manager, Computer Science Department
Brigham Young University
[email-masked]